body {
    margin: 0;
    background-image: url('../images/backgrounddarkwood.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    cursor: url('../images/cursor.png'), auto;
}

a:hover {
    cursor: url('../images/cursor.png'), auto;
  }

  button:hover {
    cursor: url('../images/cursor.png'), auto;
  } 

h1 {
    font-family: Oswald;
    text-decoration: underline deepskyblue;
    text-decoration-thickness: 5px;
    text-underline-offset: 10px;
    text-decoration-skip-ink: 50px; 
    text-align: center;
    color: black;
}

p{
    font-size: 16px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    padding: 0px 25px 0px 25px;
}

.textImportant{
    font-size: 22px;
    font-family: oswald;
    color:rgb(73, 73, 73);
}

.textImportantfolio{
    font-size: 26px;
    font-family: oswald;
    color:rgb(73, 73, 73);
    padding: 25px;
    text-align: center;
}

.comptLine{
    display: flex;
    flex-direction: row;
    width: auto;
    justify-content: space-between ;
    padding: 7px;
    margin-right: 10px;
    border-bottom: 3px solid rgb(48, 48, 48);
}

.comptLineEnd{
    display: flex;
    flex-direction: row;
    width: auto;
    justify-content: space-between ;
    padding: 7px;
    margin-right: 10px;
}

.navbar {
    background-color: black;
    display: flex;
    justify-content: flex-end;
    gap: 2px;
    border-bottom: 3px solid deepskyblue;
}

.buttonSelected{
    padding:20px;
    color: white;
    font-size: 22px;
    font-family: Oswald;
    background-color: deepskyblue;
    border: 0px;
    
}

.buttonMenu{
    padding:20px;
    color: white;
    font-size: 22px;
    font-family: Oswald;
    background-color: rgb(51, 51, 51);
    border: 0px;
}

.buttonMenu:hover{
    background-color: rgb(235, 113, 7);
}

.buttonMenuSec{
    padding:10px;
    color: white;
    font-size: 18px;
    font-family: Oswald;
    background-color: rgb(51, 51, 51);
    border: 0px;
}

.buttonMenuSec:hover{
    background-color: rgb(207, 104, 1);
}

.titleContainer{
    background-color: deepskyblue;
    padding:5px;
    color: white;
    font-family: Oswald;
    display: flex;
    justify-content: center; 
}

.mainContainer{
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.firstContainer {
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: flex-start;
    text-align: center;
}

.secondContainer{
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 25px;
    background-color: white;
    opacity: 0.8;
}

#imageProfil {
    width: 100%;
    border:textImportan;
}

.secondaryMenu{
    flex:1;
    display: flex;
    flex-direction: row;
    gap: 5px;
}

.margeButton{
    width: 400px;
    background-color: rgb(88, 87, 87);
    color: white;
    font-family: oswald;
    font-size: 22px;
    border: 0px;
    padding: 15px;
    opacity: 0.8;
}

.margeButton:hover{
    background-color: rgb(235, 113, 7);

}

 /* CSS pour les boutons */
 .buttonCompetences, .buttonOutils {
    background-color: #313131;
    color: white;
    font-size: 20px;
    font-family: Oswald;
    padding: 10px;
    margin-bottom: 15px;
    border: none;
}

.buttonCompetences:hover, .buttonOutils:hover {
    background-color:rgb(235, 113, 7);

}

.buttonCompetences.selected, .buttonOutils.selected {
    background-color: deepskyblue;
}

.mainGallery {
    display: flex;
    max-height: 100%;
    flex-wrap: nowrap;
    gap: 15px;
    overflow-x: auto;
}

.centraleImage{
    max-width: 100%;
    height: auto;
    border: 5px solid rgb(51, 51, 51);
}

.folioImage {
    flex: 0 0 auto;
    max-width:100%;
    height: auto;
    margin-top: 25px;
    border: 10px solid rgb(51, 51, 51);
}

.comptContainer{
    padding: 15px 50px 15px 50px;
}

#imageContact{
    position: absolute;
    margin: 20px;
    opacity: 0;
    transition: opacity 5s;
}

@media screen and (max-width: 500px){
  
    h1 {
        font-size: 26px;
        font-family: Oswald;
        text-decoration: underline deepskyblue;
        text-decoration-thickness: 5px;
        text-underline-offset: 10px;
        text-decoration-skip-ink: 50px; 
        color: black;
        text-align: center;
        margin-bottom: 15px;
        line-height: 1.8;
    }

    p{
        font-size: 16px;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        padding: 0px;
        text-align: center;
        line-height: 1.5;
    }

    #imageContact {
        display: none;
    }

    .mainContainer{
        display:flex;
        flex-direction: column;
        flex-wrap: wrap;
    }
    
    .firstContainer{
        display:flex;
    }

    .secondContainer{
        padding: 25px;
        background-color: white;
        opacity: 0.8;
    }

    .navbar {
        background-color: black;
        height: 60px;
        display: flex;
        justify-content: flex-end;
        gap: 2px;
        border-bottom: 3px solid deepskyblue;
    }

    .buttonSelected{
        max-height: 60px;
        padding:10px;
        color: white;
        font-size: 16px;
        font-family: Oswald;
        background-color: deepskyblue;
        border: 0px;
        
    }
    
    .buttonMenu{
        max-height: 60px;
        padding:10px;
        color: white;
        font-size: 16px;
        font-family: Oswald;
        background-color: rgb(51, 51, 51);
        border: 0px;
    }

    .textImportantfolio{
        font-size: 18px;
        font-family: oswald;
        color:rgb(73, 73, 73);
        padding: 0px;
    }

    .comptContainer{
        padding: 15px 0px 15px 0px;
    }
}